.weel-btn {
  border-radius: 50%;
  background: #fff;
  font-size: 0;
  position: fixed;
  right: 20px;
  top: 0;
  transform: translateY(calc(36vh - 50%));
  z-index: 10;
  width: 70px;
  height: 70px;
  display: flex;
  padding: 0;
  transition: all 0.1s ease;
  cursor: pointer;
  justify-content: center;
  align-items: center;
}
.weel-btn img {
  width: 46px;
}
.weel-btn:hover {
  background: #fbb9b1;
}
@media (max-width: 768px) {
  .weel-btn {
    width: 61px;
    height: 61px;
    transform: translateY(calc(40vh - 50%));
  }
  .weel-btn img {
    width: 40px;
  }
}
.decor-wrap-popup {
  width: 100%;
  overflow: auto;
  display: flex;
  align-items: center;
  padding: 10px;
  box-sizing: border-box;
  max-width: 1600px;
  margin: 0 auto;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  transition: all 0.3s ease;
  padding: 20px 0 0px 0;
}
.decor-wrap-popup.opened {
  opacity: 1;
  visibility: visible;
}
.decor-wrap-popup .decor-wrap-popup-in {
  text-align: left;
  position: relative;
  flex: 0 0 auto;
  max-width: 100%;
  box-sizing: border-box;
  display: inline-block;
  width: 100%;
  padding: 0;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0px 0px 20px 0px rgba(98, 85, 64, 0.1);
  height: 100%;
  position: relative;
}
.decor-wrap-popup .decor-wrap-popup-in .decor-wrap2 {
  width: 100%;
  height: 100%;
}
.decor-wrap-popup .decor-wrap-close {
  z-index: 2;
  position: absolute;
  cursor: pointer;
  background: url(data:image/svg+xml,%3Csvg%20version%3D%221.1%22%20baseProfile%3D%22full%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20xmlns%3Aev%3D%22http%3A%2F%2Fwww.w3.org%2F2001%2Fxml-events%22%20xml%3Aspace%3D%22preserve%22%20x%3D%220px%22%20y%3D%220px%22%20width%3D%2216px%22%20height%3D%2216px%22%20%20viewBox%3D%220%200%2016%2016%22%20preserveAspectRatio%3D%22none%22%20shape-rendering%3D%22geometricPrecision%22%3E%3Cpath%20fill%3D%22%23000%22%20d%3D%22M15.985%2C14.571%20L14.571%2C15.985%20L8.000%2C9.414%20L1.429%2C15.985%20L0.015%2C14.571%20L6.586%2C8.000%20L0.015%2C1.429%20L1.429%2C0.015%20L8.000%2C6.586%20L14.571%2C0.015%20L15.985%2C1.429%20L9.414%2C8.000%20L15.985%2C14.571%20Z%22%2F%3E%3C%2Fsvg%3E) center center/12px no-repeat;
  width: 15px;
  height: 15px;
  top: 20px;
  right: 20px;
}
@media (max-width: 500px) {
  .decor-wrap-popup .decor-wrap-close {
    z-index: 3;
    background: url(data:image/svg+xml,%3Csvg%20version%3D%221.1%22%20baseProfile%3D%22full%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20xmlns%3Aev%3D%22http%3A%2F%2Fwww.w3.org%2F2001%2Fxml-events%22%20xml%3Aspace%3D%22preserve%22%20x%3D%220px%22%20y%3D%220px%22%20width%3D%2216px%22%20height%3D%2216px%22%20%20viewBox%3D%220%200%2016%2016%22%20preserveAspectRatio%3D%22none%22%20shape-rendering%3D%22geometricPrecision%22%3E%3Cpath%20fill%3D%22%23fff%22%20d%3D%22M15.985%2C14.571%20L14.571%2C15.985%20L8.000%2C9.414%20L1.429%2C15.985%20L0.015%2C14.571%20L6.586%2C8.000%20L0.015%2C1.429%20L1.429%2C0.015%20L8.000%2C6.586%20L14.571%2C0.015%20L15.985%2C1.429%20L9.414%2C8.000%20L15.985%2C14.571%20Z%22%2F%3E%3C%2Fsvg%3E) center center/12px no-repeat;
  }
}
html.overflow {
  touch-action: none;
  overflow: hidden;
}
html.overflow body {
  padding-right: 17px;
}
.circle {
  opacity: 0;
  visibility: hidden;
  position: fixed;
  top: 0px;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.5);
  transition: all 0.3s ease;
  z-index: 1001;
  width: 100%;
  display: flex;
  align-items: center;
}
.circle.opened {
  opacity: 1;
  visibility: visible;
}
